classification
Title: make install misses the man and the static library
Type: Stage: resolved
Components: Installation Versions: Python 3.4, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: ddvento@ucar.edu, doko, eric.araujo, ned.deily, python-dev
Priority: normal Keywords: patch

Created on 2013-02-08 17:13 by ddvento@ucar.edu, last changed 2013-02-09 07:12 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
issue17161_27.patch ned.deily, 2013-02-08 23:13 patch for 2.7
issue17161_32.patch ned.deily, 2013-02-09 01:06 patch for 3.2
issue17161_33.patch ned.deily, 2013-02-09 01:06 patch for 3.3 and default
Messages (7)
msg181684 - (view) Author: (ddvento@ucar.edu) Date: 2013-02-08 17:13
This is for python 2.7.3 built with 

0) ./configure --enable-shared --with-system-expat

1) I need both static and shared object, however libpython2.7.a is not copied in the installation target lib. Is this on purpose, or am I missing a flag in configure?

2) In share/man/man1/ there are two issues:
2a) the manual is for 2.7.1 instead of 2.7.3
2b) the man command looks for a python.1 file, therefore one must issue:
ln -s python2.7.1 python.1
msg181701 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-08 21:15
It would be helpful in the future if you would open separate issues for each problem you report.  To address your points:

1) For unix-y builds, the static library along with other files needed for embedding Python are installed in the standard Python library directory in the config subdirectory (e.g. /usr/lib/python2.7/config).

2a) I don't see any indication of point version number in the currently generated man page: it simply refers to "2.7".  The file name ".1" in the file name refers to what man section the man page belongs in, e.g. "man 1 python2.7".

2b) The Python makefile was changed (c208f5c1e4fe) between the 2.6 and 2.7 releases to install the versioned man page.  I am guessing that it was an oversight that the unversioned man page install was dropped.  Perhaps Matthias can shed some light on this.  The man page installs should likely follow the "alt" scheme, meaning there should be both "altmaninstall" and "maninstall" targets called respectively from "altinstall" and "install", with the latter installing the unversioned link.
msg181706 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-08 23:13
Here's a patch for 2.7 that separates the "maninstall" target into a "altmaninstall" target (which installs just the python2.7 man page as before) and a "maninstall" target (which adds symlinks from "python2" and "python").  Patches for 3x to follow.
msg181712 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2013-02-09 01:55
3.3 patch looks fine.

For 2.7, I notice python2.7.1 is linked to python.1 and python2.1; do we install python as python2?
msg181717 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-09 04:11
"do we install python as python2?"

Yes, PEP 394 support was added in 2.7.3 (issue12627).
msg181718 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-09 07:05
New changeset 29826cb3f12e by Ned Deily in branch '2.7':
Issue #17161: make install now also installs a python2 and python man page.
http://hg.python.org/cpython/rev/29826cb3f12e

New changeset b0d9b273c029 by Ned Deily in branch '3.2':
Issue #17161: make install now also installs a python3 man page.
http://hg.python.org/cpython/rev/b0d9b273c029

New changeset 9828c4ffb401 by Ned Deily in branch '3.3':
Issue #17161: make install now also installs a python3 man page.
http://hg.python.org/cpython/rev/9828c4ffb401

New changeset 5e874b2a0469 by Ned Deily in branch 'default':
Issue #17161: merge from 3.3
http://hg.python.org/cpython/rev/5e874b2a0469
msg181719 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-09 07:12
As of 2.7.4, 3.2.4, 3.3.1 and 3.4.0, make install will now install the missing symlinks for the missing man pages, python/python2 or python3.
History
Date User Action Args
2013-02-09 07:12:25ned.deilysetstatus: open -> closed
messages: + msg181719

assignee: ned.deily
resolution: fixed
stage: patch review -> resolved
2013-02-09 07:05:56python-devsetnosy: + python-dev
messages: + msg181718
2013-02-09 04:11:48ned.deilysetmessages: + msg181717
2013-02-09 01:55:26eric.araujosetmessages: + msg181712
2013-02-09 01:06:39ned.deilysetfiles: + issue17161_33.patch
2013-02-09 01:06:16ned.deilysetfiles: + issue17161_32.patch
2013-02-08 23:13:53ned.deilysetfiles: + issue17161_27.patch
versions: + Python 3.2, Python 3.3, Python 3.4
messages: + msg181706

keywords: + patch
stage: patch review
2013-02-08 21:15:46ned.deilysetnosy: + ned.deily, doko
messages: + msg181701
2013-02-08 17:18:33eric.araujosetnosy: + eric.araujo
2013-02-08 17:13:21ddvento@ucar.educreate